03/02/2012 11:38 AM - Anonymous

Status: Resolved Start date: 03/02/2012
Priority: Urgent Due date:
Assignee: % Done: 100%
Category: Estimated time: 1.00 hour
Target version: cca0.5
Description
Provide solutions for default configuration inside components as much as possible. The goal would be that one can always initialize
components in a meaningful default configuration, without the necessity to re-configure.
    -  Processing strategy
    -  Port configuration
    -  User configuration
    -  ...

Subtasks:
Tasks # 913: Default configuration for component info and component state ports Resolved

History
#1 - 08/12/2013 02:20 PM - Anonymous
- Target version set to cca0.4

#2 - 09/12/2013 04:25 PM - Anonymous
- Target version changed from cca0.4 to cca0.5

#3 - 12/02/2013 02:43 PM - Anonymous
- Status changed from New to Resolved

    -  Processing strategy can be set in constructor.
    -  Port configuration is much simpler, as there are optional ports now, and ports can be configured just with the scope string (everything else, like
transports, is taken from defaults)
    -  Default ports are configured with default scopes
    -  Components have properties with default values now
